Subject: Updated regex and subaddress drafts

From: Ken Murchison <[email-masked]>
Date: Thu, 13 Jul 2000 13:14:58 -0400

I just sent in tweaks to these drafts.  You can get them now (no pushing
a shoving please!) from http://www.oceana.com/ftp/drafts/

Ken
-- 
Kenneth Murchison     Oceana Matrix Ltd.
Software Engineer     21 Princeton Place
716-662-8973 x26      Orchard Park, NY 14127
--PGP Public Key--    http://www.oceana.com/~ken/ksm.pgp

Date: Thu, 13 Jul 2000 13:14:58 -0400
From: Ken Murchison <[email-masked]>
Organization: Oceana Matrix Ltd.
To: [email-masked]
Subject: Updated regex and subaddress drafts
Sender: [email-masked]

I just sent in tweaks to these drafts.  You can get them now (no pushing
a shoving please!) from http://www.oceana.com/ftp/drafts/

Ken
-- 
Kenneth Murchison     Oceana Matrix Ltd.
Software Engineer     21 Princeton Place
716-662-8973 x26      Orchard Park, NY 14127
--PGP Public Key--    http://www.oceana.com/~ken/ksm.pgp

Date: Tue, 11 Jul 2000 10:55:10 -0700
To: Ken Murchison <[email-masked]>, Tim Showalter <[email-masked]>
From: Randall Gellens <[email-masked]>
Subject: Re: last chance before last call on sieve and vacation
Cc: [email-masked]
Sender: [email-masked]

At 12:37 PM -0400 7/11/00, Ken Murchison wrote:

>  Randall Gellens wrote:
>>
>>  In the Vacation draft:
>>
>>  In "3.7. Restricting Replies to Automated Processes", I'd suggest
>>  also saying that implementations MUST NOT respond to mail that has
>>  any header fields which start with "List-".
>
>  Along the same lines should we also add something like:
>
>  ... SHOULD not respond to messages with an Auto-Submitted field with a
>  keyword other than "no".
>
>  as suggested in draft-ietf-mailext-new-fields-15.txt?
>
>  Also from the same draft, perhaps we should recommend adding an
>  "Auto-Submitted: auto-replied (vacation)" header.
>
>  This functionality is already implemented in cmu-sieve.  The vacation
>  program as packaged with sendmail uses the Auto-Submitted header as well
>  (although it incorrectly uses the auto-generated keyword).

I don't think we should introduce dependencies on other drafts, as 
that will hold this one up until that one progresses.

Text regarding "auto-submitted" can always be added later, when Sieve 
progresses.

-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly-selected tag: ---------------
Politicians are the same all over.  They promise to build a 
bridge even where there is no river.   -- Nikita Khrushchev

Date: Tue, 11 Jul 2000 12:37:31 -0400
From: Ken Murchison <[email-masked]>
Organization: Oceana Matrix Ltd.
To: Tim Showalter <[email-masked]>
CC: [email-masked]
Subject: Re: last chance before last call on sieve and vacation
Sender: [email-masked]

Randall Gellens wrote:
> 
> In the Vacation draft:
> 
> In "3.7. Restricting Replies to Automated Processes", I'd suggest
> also saying that implementations MUST NOT respond to mail that has
> any header fields which start with "List-".

Along the same lines should we also add something like:

... SHOULD not respond to messages with an Auto-Submitted field with a
keyword other than "no".

as suggested in draft-ietf-mailext-new-fields-15.txt?

Also from the same draft, perhaps we should recommend adding an
"Auto-Submitted: auto-replied (vacation)" header.

This functionality is already implemented in cmu-sieve.  The vacation
program as packaged with sendmail uses the Auto-Submitted header as well
(although it incorrectly uses the auto-generated keyword).

Ken
-- 
Kenneth Murchison     Oceana Matrix Ltd.
Software Engineer     21 Princeton Place
716-662-8973 x26      Orchard Park, NY 14127
--PGP Public Key--    http://www.oceana.com/~ken/ksm.pgp